GNU Radio 2.x: gr_oscope_sink_f Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_oscope_sink_f Class Reference
[Signal Sinks]

`#include <gr_oscope_sink_f.h>`

Inheritance diagram for gr_oscope_sink_f:

[legend]
Collaboration diagram for gr_oscope_sink_f:

[legend]
List of all members.

## Detailed Description

Building block for python oscilloscope module.

Accepts 1 to 16 float streams.

## Public Member Functions
| ~gr_oscope_sink_f ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| just like gr_block::general_work, only this arranges to call consume_each for you
bool | check_topology (int ninputs, int noutputs)
| Confirm that ninputs and noutputs is an acceptable combination.
## Static Public Attributes
static const int | MAX_CHANNELS = 16
## Friends
gr_oscope_sink_f_sptr | gr_make_oscope_sink_f (double sampling_rate, gr_msg_queue_sptr msgq)

## Constructor & Destructor Documentation

gr_oscope_sink_f::~gr_oscope_sink_f | ( |  | ) |

## Member Function Documentation

bool gr_oscope_sink_f::check_topology | ( | int | ninputs,
|  | int | noutputs
| ) | `[virtual]`

  | Confirm that ninputs and noutputs is an acceptable combination. Parameters:
  | ninputs | number of input streams connected
  | noutputs | number of output streams connected
Returns: true if this is a valid configuration for this block. This function is called by the runtime system whenever the topology changes. Most classes do not need to override this. This check is in addition to the constraints specified by the input and output gr_io_signatures. Reimplemented from gr_block.

int gr_oscope_sink_f::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

| just like gr_block::general_work, only this arranges to call consume_each for you The user must override work to define the signal processing code Implements gr_sync_block.

## Friends And Related Function Documentation

gr_oscope_sink_f_sptr gr_make_oscope_sink_f | ( | double | sampling_rate,
|  | gr_msg_queue_sptr | msgq
| ) | `[friend]`

## Member Data Documentation

const int gr_oscope_sink_f::MAX_CHANNELS = 16`[static]`

The documentation for this class was generated from the following files:

- gr_oscope_sink_f.h
- gr_oscope_sink_f.cc